Page MenuHomePhabricator

[libunwind] Make the test depend on the libunwind explicitly.
ClosedPublic

Authored by danielkiss on Jul 30 2020, 11:36 PM.

Details

Summary

Before this patch the ninja check-unwind won't rebuild the unwind library.

Diff Detail

Event Timeline

danielkiss created this revision.Jul 30 2020, 11:36 PM
danielkiss requested review of this revision.Jul 30 2020, 11:36 PM
jroelofs accepted this revision.Jul 31 2020, 7:55 AM

LGTM, thank you!

This revision is now accepted and ready to land.Jul 31 2020, 7:55 AM

Mind doing the same thing for libcxxabi? I think it has the same problem.

Thanks.
Cmake file of libcxxabi seems fine to me, it just needs -DLIBCXXABI_USE_LLVM_UNWINDER=YES.

Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptAug 3 2020, 12:46 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript